<?php
require_once('system/func.php');
$title = 'Рефералы';
require_once('system/header.php');
auth(); // Закроем от гостей
echo "<div class='block_c'>";
echo "Ваша ссылка: " . htmlspecialchars($_SERVER['HTTP_HOST']) . "?ref=$myID</b></font><br><center>Если ваш приглашенный друг получит 20 уровень, то вы получите 100 алмазов, если ваш друг получит 40 уровень, то вы получите 200 алмазов, а если ваш друг получит 60 уровень, то вы получите 500 алмазов. </center>";
echo "</div>";
$set['p_str'] = 10;
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `id_partner` = '$myID'"), 0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];
$q = mysql_query("SELECT * FROM `users` WHERE `id_partner` = '$myID' ORDER BY `id` DESC LIMIT $start, $set[p_str]");
echo "<div class='main_link'><b>Ваши друзья [$k_post]:</b><br>";
if ($k_post == 0) {
    echo "";
}
while ($post = mysql_fetch_assoc($q)) {
    echo " <a href='/profile/$post[id]'>$post[login]</a><br>";
}
echo "</div>";
if ($k_post > 10) {
    echo div('block_left');

    str('?', $k_page, $page); // Вывод страниц
    echo "</div>";
}

require_once('system/footer.php');
?>